tsclean2 = function (x, 
                     lowFenceDistIQR = 3, 
                     highFenceDistIQR = 3,
                     replace.missing = TRUE, lambda = NULL) 
{
    outliers <- tsoutliers2(x,
                            lowFenceDistIQR = lowFenceDistIQR,
                            highFenceDistIQR = highFenceDistIQR,
                            lambda = lambda)
    x[outliers$index] <- outliers$replacements
    if (replace.missing) {
        x <- na.interp(x, lambda = lambda)
    }
    return(x)
}